# ARM Processor iOS (iPhone): Parameter Identification & Tracking (PIT)

Assembler code

```

__text:00002CAC
__text:00002CAC ; =============== S U B R O U T I N E =======================================
__text:00002CAC
__text:00002CAC ; Attributes: bp-based frame
__text:00002CAC
__text:00002CAC sub_2CAC                                ; CODE XREF: sub_12FF8+18↓p
__text:00002CAC                 LDR     R0, =off_52014
__text:00002CB0                 PUSH    {R4,R7,LR}
__text:00002CB4                 MOV     R1, #0          ; __c
__text:00002CB8                 LDR     R4, =dword_52DBC
__text:00002CBC                 LDR     R3, =unk_52DC4
__text:00002CC0                 ADD     R7, SP, #4
__text:00002CC4                 MOV     R2, #0xE7 ; 'ç' ; __len
__text:00002CC8                 LDR     R0, [R0]        ; unk_53620 ; __b
__text:00002CCC                 STR     R3, [R4]
__text:00002CD0                 BL      _memset
__text:00002CD4                 LDR     R3, =off_52018
__text:00002CD8                 MOV     R1, #0
__text:00002CDC                 LDR     R2, [R3]        ; byte_53610
__text:00002CE0                 MOV     R3, R2
__text:00002CE4                 STRB    R1, [R2,#(byte_53611 - 0x53610)]
__text:00002CE8                 STRB    R1, [R3],#1
__text:00002CEC                 LDR     R2, [R4]
__text:00002CF0                 ADD     R3, R3, #1
__text:00002CF4                 ADD     R0, R2, #0x84 ; '„'
__text:00002CF8                 STRB    R1, [R3],#1
__text:00002CFC                 STRB    R1, [R3],#1
__text:00002D00                 STRB    R1, [R3],#1
__text:00002D04                 STRB    R1, [R3],#1
__text:00002D08                 STRB    R1, [R3]
__text:00002D0C                 MOV     R3, R2
__text:00002D10
__text:00002D10 loc_2D10                                ; CODE XREF: sub_2CAC+70↓j
__text:00002D10                 STR     R1, [R3,#8]
__text:00002D14                 ADD     R3, R3, #4
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/9.0sp1/user-guide/disassembler/disassembly-gallery/arm-processor-ios-iphone-parameter-identification-and-tracking-pit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
